Package org.springframework.cglib.core

# Class TinyBitSet

java.lang.Object
org.springframework.cglib.core.TinyBitSet

@Deprecated public class TinyBitSet extends Object
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`TinyBitSet()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`cardinality()`
Deprecated.
If bit 31 is set then this method results in an infinite loop.
`void`
`clear(int index)`
Deprecated.
`boolean`
`get(int index)`
Deprecated.
`int`
`length()`
Deprecated.
`void`
`set(int index)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TinyBitSet

public TinyBitSet()
Deprecated.

## Method Details

### length

public int length()
Deprecated.

### cardinality

public int cardinality()
Deprecated.
If bit 31 is set then this method results in an infinite loop.

Returns:
  the number of bits set to `true` in this TinyBitSet.

### get

public boolean get(int index)
Deprecated.

### set

public void set(int index)
Deprecated.

### clear

public void clear(int index)
Deprecated.